import { ServiceInputTypes, ServiceOutputTypes } from '@aws-sdk/client-dynamodb';
import { DynamoDBDocumentClient } from '@aws-sdk/lib-dynamodb';
import { Command } from '@aws-sdk/types';
import { DynamoClient } from './DynamoClient';
type DynamoDbCommand<I, O> = Command<any, I, any, O, any>;
type DynamoDbInput = ServiceInputTypes;
type DynamoDbOutput = ServiceOutputTypes;
type DynamoDbCommandExecutor<I extends DynamoDbInput, O extends DynamoDbOutput> = (client: DynamoDBDocumentClient, cmd: DynamoDbCommand<I, O>) => Promise<O>;
export declare abstract class DynamoWrapper {
    readonly client: DynamoClient;
    readonly name?: string | undefined;
    constructor(client: DynamoClient, name?: string | undefined);
    protected get logger(): {
        debug: (...args: any[]) => void;
    } | undefined;
    protected command<I extends DynamoDbInput, O extends DynamoDbOutput>(cmd: DynamoDbCommand<I, O>, executor?: DynamoDbCommandExecutor<I, O>): Promise<O>;
    private logConsumedCapacity;
}
export {};
//# sourceMappingURL=DynamoWrapper.d.ts.map